<template>
  <v-app>
    <v-app-bar
      :clipped-left="clipped"
      fixed
      app
    >
      <v-toolbar-title v-text="title" />
      <v-spacer />
      <div>
        <span id="time"></span>
      </div>
      <v-spacer />
      <v-btn
        v-if="user.userType"
        icon
        @click.stop="rightDrawer = !rightDrawer"
      >
        <v-icon>mdi-clipboard-text-outline</v-icon>
      </v-btn>
    </v-app-bar>
    <v-main>
      <nuxt />
    </v-main>
    <v-navigation-drawer
      v-model="rightDrawer"
      :right="right"
      temporary
      fixed
      width="400px"
    >
      <v-list>
        <v-list-item @click.native="right = !right">
          <v-list-item-action>
            <v-icon light>
              mdi-repeat
            </v-icon>
          </v-list-item-action>
          <v-list-item-title />
        </v-list-item>
      </v-list>
      <v-textarea
        name="input-7-1"
        filled
        label="Apuntes sesión"
        auto-grow
        v-model="notesEsp"
      />
      <v-btn
        color="primary"
        text
        fixed
        right
        @click="saveEspNotes"
      >
        Guardar
      </v-btn>
      <v-btn
        color="primary"
        text
        left
        @click="getEspNotes"
      >
        Obtener Notas
      </v-btn>
    </v-navigation-drawer>
  </v-app>
</template>

<script>
import { mapState, mapActions } from 'vuex';

export default {
  data() {
    return {
      clipped: false,
      drawer: false,
      right: true,
      rightDrawer: false,
      title: 'Cuidémonos',
      notesEsp: '',
    };
  },
  computed: {
    ...mapState({
      user: state => state.videocalling.user,
      videoCallId: state => state.videocalling.option.videoCallId,
    }),
  },
  async mounted() {
    // this.notesEsp = await this.getEspecialistSessionNotes({ videoCallId: this.videoCallId, token: this.user.token, role: this.user.userType });
  },
  methods: {
    ...mapActions({
      saveEspecialistSessionNotes: 'videocalling/saveEspecialistSessionNotes',
      getEspecialistSessionNotes: 'videocalling/getEspecialistSessionNotes',
    }),
    async saveEspNotes() {
      await this.saveEspecialistSessionNotes({ videoCallId: this.videoCallId, notes: this.notesEsp, token: this.user.token, role: this.user.userType });
    },
    async getEspNotes() {
      this.notesEsp = await this.getEspecialistSessionNotes({ videoCallId: this.videoCallId, notes: this.notesEsp, token: this.user.token, role: this.user.userType });
    },
  },
};
</script>
